Ticket #41866

action_auto_perf_cause names translatable for no reason

Open Date: 2021-03-28 22:47 Last Update: 2021-04-06 23:11

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Accepted
File:
2

Details

Hubert Kowalewski asked, at freeciv-i18n mailing list, about the context of action_auto_perf_cause names for being able to translate them in a sensible way. As I looked at it, it seems to me that they are not currently used at all (grep -r "action_auto_perf_cause_name" finds nothing). Depending on what are the future plans for them, either make them untranslatable to save translators' work and time, or clarify what kind of context they may appear.

Ticket History (3/7 Histories)

2021-03-28 22:47 Updated by: cazfi
  • New Ticket "action_auto_perf_cause names translatable for no reason" created
2021-03-29 04:01 Updated by: kvilhaugsvik
Comment

I think this was a copy paste error. They should be untranslatable, at least for now.

2021-04-01 15:04 Updated by: kvilhaugsvik
  • Owner Update from (None) to kvilhaugsvik
  • Resolution Update from None to Accepted
2021-04-04 03:20 Updated by: kvilhaugsvik
Comment

Pushed to master and 3.1. I hadn't uploaded the 3.0 version.

2021-04-06 23:11 Updated by: kvilhaugsvik
  • Status Update from Open to Closed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login